<?php

/**
 * @file
 * Scaffold administration pages.
 */

/**
 * General settings form.
 */
function scaffold_settings_form(&$form_state) {
  $form = array();

  $config = _scaffold_get_config();

  $form['scaffold'] = array(
    '#tree' => TRUE,
  );

  $form['scaffold']['production'] = array(
    '#type' => 'checkbox',
    '#title' => t('Production Mode'),
    '#description' => t('When developing themes, disable production mode. Parsing errors will be displayed. Disable in production.'),
    '#default_value' => $config['production'],
  );

  $form['scaffold']['output_compression'] = array(
    '#type' => 'checkbox',
    '#title' => t('Output compression'),
    '#default_value' => $config['output_compression'],
  );

  $form['scaffold']['set_etag'] = array(
    '#type' => 'checkbox',
    '#title' => t('Set etag'),
    '#default_value' => $config['set_etag'],
  );
  
  $form['scaffold']['enable_string'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable string'),
    '#default_value' => $config['enable_string'],
  );
  
  $form['scaffold']['enable_url'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable url'),
    '#default_value' => $config['enable_url'],
  );
	
  $form['scaffold']['extensions'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Extensions'),
    '#default_value' => $config['extensions'],
  );
  
	foreach (_scaffold_get_extensions() as $extension) {
		$form['scaffold']['extensions']['#options'][$extension] = $extension;
	}
  
  return system_settings_form($form);
}
